Class Index | File Index

## Classes

- _global_
- mxn
- mxn.BoundingBox
- mxn.Event
- mxn.Geocoder
- mxn.Invoker
- mxn.LatLonPoint
- mxn.Mapstraction
- mxn.Marker
- mxn.Polyline
- mxn.Radius
- mxn.util
- mxn.util.Color

# Class mxn.LatLonPoint

Defined in: mxn.core.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| mxn.LatLonPoint(lat, lon) LatLonPoint is a point containing a latitude and longitude with helper methods

Method Summary
Method Attributes | Method Name and Description
--- | ---
| distance(otherPoint) distance returns the distance in kilometers between two points
| equals(otherPoint) equals tests if this point is the same as some other one
| fromProprietary(apiId, point) Retrieve the lat and lon values from a proprietary point.
| latConv() Returns latitude conversion based on current projection
| lonConv() Returns longitude conversion based on current projection
| toProprietary(apiId) Converts the current LatLonPoint to a proprietary one for the API specified by apiId.
| toString() toString returns a string represntation of a point

Class Detail
mxn.LatLonPoint(lat, lon)
LatLonPoint is a point containing a latitude and longitude with helper methods

Parameters:
{double} lat
  is the latitude
{double} lon
  is the longitude

Method Detail
{double} distance(otherPoint)
distance returns the distance in kilometers between two points

Parameters:
{LatLonPoint} otherPoint
  The other point to measure the distance from to this one

Returns:
  the distance between the points in kilometers

{boolean} equals(otherPoint)
equals tests if this point is the same as some other one

Parameters:
{LatLonPoint} otherPoint
  The other point to test with

Returns:
  true or false

fromProprietary(apiId, point)
Retrieve the lat and lon values from a proprietary point.

Parameters:
{String} apiId
  The API ID of the proprietary point.
{Object} point
  The proprietary point.

{Float} latConv()
Returns latitude conversion based on current projection

Returns:
  {Float} conversion

{Float} lonConv()
Returns longitude conversion based on current projection

Returns:
  {Float} conversion

toProprietary(apiId)
Converts the current LatLonPoint to a proprietary one for the API specified by apiId.

Parameters:
{String} apiId
  The API ID of the proprietary point.

Returns:
  A proprietary point.

{String} toString()
toString returns a string represntation of a point

Returns:
  a string like '51.23, -0.123'

©2009
Documentation generated by JsDoc Toolkit 2.1.1 on Wed Jul 13 2011 23:10:52 GMT+0100 (BST)